Z-Blog Wiki Z-Blog Wiki

Z-Blog官方文档

用户工具

站点工具


zblogphp:development:migration:1.5_-_1.6

由1.5升级到1.6

注意,在线升级请谨慎操作,提前做好网站备份!! 升级后网站崩溃一般是因为启用中的插件或者主题使用了不兼容的代码,请在升级主程序前选用默认主题及禁用非官方插件,并关注所用主题或插件是否已升级适配1.6版本。

建议在测试站中正常升级后再更新主站。

一般升级步骤

  1. 通过FTP等方式备份整个网站目录及数据库。
  2. 确认所用主题是否已有1.6兼容版本,若无法确定请切换至默认主题。
  3. 确认所有插件是否已有1.6兼容版本,若无法确定请先禁用所有非官方插件。(注:官方默认主题及插件均可平稳升级)
  4. 进入网站应用中心界面检查程序更新并升级。
  5. 进入网站应用中心界面检查应用更新,并升级相应主题或插件。
  6. 若原主题暂未更新,请尝试切换回原在用主题,若前台页面报错,则通过/zb_system/admin/index.php?act=ThemeMng进入主题管理切换回至其它兼容主题。
  7. 若原某些在用插件未更新,请尝试逐一启用,测试是否异常,若出错,则通过/zb_system/admin/index.php?act=PluginMng进入插件管理停用不兼容插件。
  8. 若更新后无法进入后台,请通过FTP删除不兼容主题或插件,或通过原备份恢复网站。

主题及插件代码升级

主题

主题在把最低版本号要求设置为1.6之后,请参照此条Commit,修改使用了ZBPJF的相关代码: https://github.com/zblogcn/zblogphp/commit/0ee32c1f425c50c261c0e7ccddef6ebd8e20cd63#diff-e9403bfad9bf5d698be71c6172d98b53L12

即:

1. 去除comment.verifydata接口,如果需要新增字段并校验,请使用该commit内新增zbp.options.comment.inputs.test字段的方法。

2. comment.postsuccess替换为comment.post.success。原参数

(formData, data, textStatus, jqXhr) 
内 的data现不再是字符串,而是已经转换为Object的数据。

3. comment.posterror替换为comment.post.error,参数调整为

error, formData, textStatus, jqXhr

4. comment.reply替换为comment.reply.start,参数不变。

5. userinfo.savefromhtml替换为userinfo.readFromHtml

其它

废弃TransferHTML函数,但当前版本仍然可用。请尽快更换为FormatString函数,参数不变。

zblogphp/development/migration/1.5_-_1.6.txt · 最后更改: 2020/03/22 15:54 由 zsx